<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\SM\Service\Sm00004005ParamFaturaItemContratoService;

class Sm00004005ParamFaturaItemContratoController extends SMCrud {
    
    protected $dataSourceName = 'fct_paramfatitcont_widget';
    protected $ServiceParamFaturaItContrato;
    
    public function __construct($crudService, $environment, Sm00004005ParamFaturaItemContratoService $ServiceParamFaturaItContrato) {
        parent::__construct($crudService, $environment);
        $this->ServiceParamFaturaItContrato  = $ServiceParamFaturaItContrato;
    }
    
    /**
     * A função "insereDadosContrato" insere os dados de parametização 
     * de fatiuramento na tabela de Contrato (FCT_CONTRATO).
     */
    public function atualizarDadosItContrato(Request\Row $request, Response $response) {
    
        $row = $request->getRow();
        
        
        $idFaturaContr         = $row['IDFATURACONTR']; 
        $cdModPgto             = $row['CDMODPGTO'];
        $qtParcelasFatu        = $row['QTPARCELASFATU'];
        $nrDiaVencParcelasFatu = $row['NRDIAVENCPARCELASFATU'];
        $seqContrato           = $row['NRSEQCONTRATO'];
        $seqitContrato         = $row['NRITEMOCONTRATO'];
        
        $InsereDadositContr = $this->ServiceParamFaturaItContrato->atualizarDadosItContrato($idFaturaContr, $cdModPgto, $qtParcelasFatu, $nrDiaVencParcelasFatu, $seqContrato, $seqitContrato);
    }
   
}
?>