<?php
namespace Teknisa\SM\Factory;

use Doctrine\ORM\EntityManager;

class Sm_fct_altpropconcperf
{

    protected $connection;

    public function __construct(EntityManager $entityManager) {

        $this->connection = $entityManager->getConnection();
    }

    /**
     * A função "validaCarenciaOperador" verifica se já existe
     * uma carencia cadastrada para o operador indicado.
     */

    public function validaCarenciaPerfilAcesso($params){

        $queryValidaCarenciaPerfProp = "SELECT COUNT(*) AS VALIDAPERF
                                      FROM FCT_CARENCIAPERFIL
                                     WHERE NRPERFILACESSO = :NRPERFILACESSO
                                       AND NRORG = :NRORG";

        $std = $this->connection->prepare($queryValidaCarenciaPerfProp);
        $std->execute($params);
        $returnValidaCarenciaPerfProp = $std->fetchAll();
        return $returnValidaCarenciaPerfProp;
    }

}
?>